--- lib/jxl_threads.cmake.orig	2023-12-23 01:33:41
+++ lib/jxl_threads.cmake	2024-01-03 05:10:32
@@ -13,6 +13,7 @@
 set_property(TARGET jxl_threads PROPERTY POSITION_INDEPENDENT_CODE ON)
 
 target_include_directories(jxl_threads
+  BEFORE
   PRIVATE
     "${PROJECT_SOURCE_DIR}"
   PUBLIC
--- lib/jxl_extras.cmake.orig	2024-09-13 15:31:05
+++ lib/jxl_extras.cmake	2024-09-15 02:03:26
@@ -37,7 +37,7 @@
 
 find_package(GIF 5.1)
 if(GIF_FOUND)
-  target_include_directories(jxl_extras_core-obj PRIVATE "${GIF_INCLUDE_DIRS}")
+  target_include_directories(jxl_extras_core-obj BEFORE PRIVATE "${GIF_INCLUDE_DIRS}")
   target_compile_definitions(jxl_extras_core-obj PRIVATE -DJPEGXL_ENABLE_GIF=1)
   list(APPEND JXL_EXTRAS_CODEC_INTERNAL_LIBRARIES ${GIF_LIBRARIES})
   if(JPEGXL_DEP_LICENSE_DIR)
@@ -122,6 +122,8 @@
     ${PROJECT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/include
     ${CMAKE_CURRENT_BINARY_DIR}/include
+  )
+  target_include_directories("${LIB}" SYSTEM PRIVATE
     ${JXL_HWY_INCLUDE_DIRS}
   )
 endforeach()
--- lib/jxl.cmake.orig	2024-09-13 15:31:05
+++ lib/jxl.cmake	2024-09-15 04:05:35
@@ -82,11 +82,13 @@
 endforeach()
 
 add_library(jxl_base INTERFACE)
-target_include_directories(jxl_base SYSTEM BEFORE INTERFACE
+target_include_directories(jxl_base BEFORE INTERFACE
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
 )
 target_include_directories(jxl_base BEFORE INTERFACE
   ${PROJECT_SOURCE_DIR}
+)
+target_include_directories(jxl_base SYSTEM INTERFACE
   ${JXL_HWY_INCLUDE_DIRS}
 )
 
@@ -108,6 +110,8 @@
 set_property(TARGET jxl_dec-obj PROPERTY POSITION_INDEPENDENT_CODE ON)
 target_include_directories(jxl_dec-obj BEFORE PUBLIC
   "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
+)
+target_include_directories(jxl_dec-obj SYSTEM PUBLIC
   "${JXL_HWY_INCLUDE_DIRS}"
   "$<BUILD_INTERFACE:$<TARGET_PROPERTY:brotlicommon,INTERFACE_INCLUDE_DIRECTORIES>>"
 )
@@ -123,6 +127,8 @@
 set_property(TARGET jxl_enc-obj PROPERTY POSITION_INDEPENDENT_CODE ON)
 target_include_directories(jxl_enc-obj BEFORE PUBLIC
   ${PROJECT_SOURCE_DIR}
+)
+target_include_directories(jxl_enc-obj SYSTEM PUBLIC
   ${JXL_HWY_INCLUDE_DIRS}
   $<TARGET_PROPERTY:brotlicommon,INTERFACE_INCLUDE_DIRECTORIES>
 )
--- lib/jxl_cms.cmake.orig	2024-09-13 15:31:05
+++ lib/jxl_cms.cmake	2024-09-15 02:30:59
@@ -17,7 +17,7 @@
         CXX_VISIBILITY_PRESET hidden
         VISIBILITY_INLINES_HIDDEN 1)
 target_link_libraries(jxl_cms PUBLIC jxl_base)
-target_include_directories(jxl_cms PRIVATE
+target_include_directories(jxl_cms SYSTEM PRIVATE
   ${JXL_HWY_INCLUDE_DIRS}
 )
 generate_export_header(jxl_cms
